// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnDeviceDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnDeviceDocumentScanner", targets: ["WebIdOnDeviceDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-document-scanner-spm.git",
            .exact("12.5.1")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("12.3.2")
        ),
        .package(
            name: "DocumentReader",
            url: "https://github.com/regulaforensics/DocumentReader-Swift-Package",
            .exact("7.5.4221")
        ),
        .package(
            name: "Full",
            url: "https://github.com/regulaforensics/DocumentReaderFull-Swift-Package",
            .exact("7.5.11015")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdOnDeviceDocumentScanner/12.5.1/WebIdOnDeviceDocumentScanner.framework-v12.5.1.zip",
            checksum: "bb7abd8129491a18b5fd8fbd691fe47930658c39f88e9344d6b0860709fa8b1d"
        ),
        .target(
            name: "WebIdOnDeviceDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnDeviceDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "DocumentReader", package: "DocumentReader"),
                .product(name: "Full", package: "Full"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
